# Created by pyp2rpm-3.3.3
%global pypi_name statmake

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 2
Summary:        Applies STAT information from a Stylespace to a variable font
Group:          Development/Python
License:        None
URL:            https://github.com/daltonmaag/statmake
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(poetry)
BuildRequires:  python3dist(setuptools)

%description
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%package -n     python3-%{pypi_name}
Summary:        Applies STAT information from a Stylespace to a variable font
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}
statmake takes a user-written Stylespace that defines OpenType STAT information
for an entire font family and then potentially subsets and applies it to a
specific variable font. This spares users from having to deal with raw TTX
dumps and juggling with nameIDs.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files statmake

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/statmake


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 0.6.0-2.mga10
+ Revision: 2031294
-rebuild for py3.12

* Tue Jan 31 2023 papoteur <papoteur> 0.6.0-1.mga9
+ Revision: 1937260
- new 0.6.0

* Wed Mar 23 2022 umeabot <umeabot> 0.4.1-3.mga9
+ Revision: 1823241
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.4.1-2.mga9
+ Revision: 1782333
- rebuild for python-3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 0.4.1-1.mga9
+ Revision: 1771469
- version 0.4.1

* Sat Jun 26 2021 wally <wally> 0.3.0-3.mga9
+ Revision: 1732632
- Rebuild for python 3.9

* Fri Jun 25 2021 wally <wally> 0.3.0-2.mga9
+ Revision: 1732273
- rebuild for python 3.9

* Thu Jul 23 2020 wally <wally> 0.3.0-1.mga8
+ Revision: 1608298
- new version 0.3.0

* Tue Feb 18 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1541921
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.2.0-1.mga8
+ Revision: 1475658
- imported package python-statmake

